public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/pdfpc/
Date: Thu,  3 May 2018 17:21:51 +0000 (UTC)	[thread overview]
Message-ID: <1525367971.12f30b09d35619ec5b165fe2e4f8fbfcaee56bea.mrueg@gentoo> (raw)

commit:     12f30b09d35619ec5b165fe2e4f8fbfcaee56bea
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu May  3 17:16:45 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu May  3 17:19:31 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12f30b09

app-misc/pdfpc: Version bump to 4.1.1

Package-Manager: Portage-2.3.33, Repoman-2.3.9

 app-misc/pdfpc/Manifest           |  1 +
 app-misc/pdfpc/pdfpc-4.1.1.ebuild | 44 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/app-misc/pdfpc/Manifest b/app-misc/pdfpc/Manifest
index d458c64ec8c..6a61ab6699c 100644
--- a/app-misc/pdfpc/Manifest
+++ b/app-misc/pdfpc/Manifest
@@ -1,3 +1,4 @@
 DIST pdfpc-3.1.1.tgz 199004 BLAKE2B 4efaf84e13dd4b90e66365429e3f2aed498e8fab039660acb377b4b0331da9f43d446827d204fa64143af566e072666878dc3a3d3787aa6480cd658feff7eeec SHA512 554203094b18fe11fd085414961de6644df3c258ad52d46ad171cfd6c2199028bcbaa9560bdaba63d83f858b467407cc276972b34f341cc25260db1d1358e88d
 DIST pdfpc-4.0.7.tar.gz 83626 BLAKE2B e64b36a9cc3f7c4745a0e8b40ae963fa58c99da19c5c839dc1934cbf2def4c7173780ae8108ae9d55e40df46b054f0a66f6d15e2c37d43e4e05bc4c71761eb33 SHA512 557e2a24e7aa4b0a7bc413517d6b274c7bad91f5e9d24ec139d0e62c490712081344448bfbedc82a90d28cd9b5910a6f51863aa44dc1c7a61ada6d154780444c
 DIST pdfpc-4.0.8.tar.gz 91138 BLAKE2B 1160590fddff914ddfc8c5a25d83b9e680cd6ec9ebef8f3809c1de31629da2879dbddd766a65d31d86b8fd0ebc735f10a51eabb7c18e5d62e96f656810d8730d SHA512 f077f08f2ee997d55b4e4ced31ec6f21791353871104fff9ece264455a18e30ba365933b15b6b596817f3e6f3f0a181f4fecf19180b8a4337f3752d3aebec7d7
+DIST pdfpc-4.1.1.tar.gz 96995 BLAKE2B f032cf0207cfb116ef98a171376d1cc80ae20f70eb7a63cf29dbd93e73c7bc1b0ef7638f9086d9908470d988830c4b420d9b96e7764af6219267d9ca6aad557a SHA512 51fa8e7743e02ba7e119dc86505f4513c174842a22d5755154775bd9abd945e7bcb9ba3c205cb27de25c38271762307136cb5370443131ea80cc0b9187e531bf

diff --git a/app-misc/pdfpc/pdfpc-4.1.1.ebuild b/app-misc/pdfpc/pdfpc-4.1.1.ebuild
new file mode 100644
index 00000000000..dae4ac40e48
--- /dev/null
+++ b/app-misc/pdfpc/pdfpc-4.1.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+VALA_MIN_API_VERSION="0.26"
+VALA_MAX_API_VERSION="0.36" # fix sed line if you increase this
+
+inherit vala cmake-utils
+
+DESCRIPTION="Presenter console with multi-monitor support for PDF files"
+HOMEPAGE="http://pdfpc.github.io"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gstreamer"
+
+RDEPEND="app-text/poppler[cairo]
+	dev-libs/glib:2
+	dev-libs/libgee:0.8
+	gnome-base/librsvg
+	gstreamer? ( media-libs/gstreamer:1.0
+	media-libs/gst-plugins-base:1.0 )
+	sys-apps/dbus
+	x11-libs/gtk+:3"
+DEPEND="${RDEPEND}
+	$(vala_depend)"
+
+src_prepare() {
+	cmake-utils_src_prepare
+
+	sed -i -e "s/valac-0.20/valac-0.36 valac-0.34 valac-0.32 valac-0.30 valac-0.28 valac-0.26/" cmake/vala/FindVala.cmake || die
+	vala_src_prepare
+}
+
+src_configure(){
+	local mycmakeargs=(
+		-DSYSCONFDIR="${EPREFIX}/etc"
+		-DMOVIES=$(usex gstreamer on off)
+	)
+	cmake-utils_src_configure
+}


             reply	other threads:[~2018-05-03 17:21 UTC|newest]

Thread overview: 55+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-05-03 17:21 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-05-22 21:30 [gentoo-commits] repo/gentoo:master commit in: app-misc/pdfpc/ Ulrich Müller
2023-04-25 20:57 Sam James
2023-04-25 20:57 Sam James
2023-02-11  4:30 Ulrich Müller
2023-02-09  6:50 Ulrich Müller
2023-01-30 15:25 Ben Kohler
2023-01-01 14:48 David Seifert
2022-07-29  7:22 Ulrich Müller
2022-07-28 23:06 Sam James
2022-07-28 23:06 Sam James
2022-06-24  7:49 Ulrich Müller
2021-12-20  9:17 Ulrich Müller
2021-12-20  9:17 Ulrich Müller
2021-12-16 17:02 Jakov Smolić
2021-12-16  7:44 Agostino Sarubbo
2021-12-15 13:40 Jakov Smolić
2021-09-03  7:55 Joonas Niilola
2021-09-03  7:55 Joonas Niilola
2021-09-03  7:55 Joonas Niilola
2021-02-19  2:14 Andreas Sturmlechner
2021-02-18 23:25 Sam James
2021-02-18 17:12 Sam James
2021-01-18  9:28 Joonas Niilola
2020-04-26 13:37 Joonas Niilola
2020-04-26 13:37 Joonas Niilola
2020-04-26 13:37 Joonas Niilola
2019-03-20 20:27 Aaron Bauman
2019-03-02 10:31 Tiziano Müller
2019-03-02 10:31 Tiziano Müller
2019-02-26 19:12 Mikle Kolyada
2019-02-26 19:10 Mikle Kolyada
2019-02-15  0:18 Thomas Deutschmann
2018-12-30 16:18 Manuel Rüger
2018-10-28 17:02 Manuel Rüger
2018-06-07 10:48 Andreas Sturmlechner
2018-06-07 10:13 Agostino Sarubbo
2018-05-03 17:21 Manuel Rüger
2018-03-13 12:51 Michael Palimaka
2017-10-03 21:54 Patrice Clement
2017-07-23 12:07 Michael Palimaka
2017-07-23 12:04 Manuel Rüger
2017-06-28 15:08 Manuel Rüger
2017-02-19 19:45 Manuel Rüger
2017-02-19 19:42 Manuel Rüger
2017-01-04 22:51 Manuel Rüger
2016-11-22 20:44 Manuel Rüger
2016-11-22 20:44 Manuel Rüger
2016-10-08  9:51 Pacho Ramos
2016-10-02 23:23 Manuel Rüger
2016-02-16 22:46 Manuel Rüger
2016-02-14 21:56 Manuel Rüger
2016-02-01 20:45 Pacho Ramos
2015-12-20 12:02 Manuel Rüger
2015-11-08 15:51 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1525367971.12f30b09d35619ec5b165fe2e4f8fbfcaee56bea.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox